> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicyfalcon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> Retrieve a paginated list of all active customers

## Query Parameters

<ParamField query="per_page" type="integer" default="15">
  Number of items per page (max: 100)
</ParamField>

<ParamField query="page" type="integer" default="1">
  Page number to retrieve
</ParamField>

<ParamField query="search" type="string">
  Search in name, username, or email
</ParamField>

<ParamField query="language" type="string">
  Filter by language code (en, fr, es, etc.)
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data" type="array">
  Array of customer objects

  <Expandable title="Customer Object">
    <ResponseField name="id" type="string">
      Unique customer identifier (UUID)
    </ResponseField>

    <ResponseField name="name" type="string">
      Customer's full name
    </ResponseField>

    <ResponseField name="username" type="string">
      Customer's username
    </ResponseField>

    <ResponseField name="email" type="string">
      Customer's email address
    </ResponseField>

    <ResponseField name="phone" type="string">
      Customer's phone number
    </ResponseField>

    <ResponseField name="address" type="string">
      Customer's address
    </ResponseField>

    <ResponseField name="company_name" type="string">
      Customer's company name
    </ResponseField>

    <ResponseField name="language" type="string">
      Customer's preferred language
    </ResponseField>

    <ResponseField name="timezone" type="string">
      Customer's timezone
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="meta" type="object">
  Pagination metadata

  <Expandable title="properties">
    <ResponseField name="current_page" type="integer" />

    <ResponseField name="from" type="integer" />

    <ResponseField name="last_page" type="integer" />

    <ResponseField name="per_page" type="integer" />

    <ResponseField name="to" type="integer" />

    <ResponseField name="total" type="integer" />
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://your-subdomain.unicyfalcon.com/api/v1/customers?per_page=25' \
    --header 'Content-Type: application/json' \
    --header 'X-API-Key: your_api_key' \
    --header 'X-Timestamp: 1735574400' \
    --header 'X-Signature: generated_signature'
  ```

  ```php PHP theme={null}
  $apiClient->get('/customers', [
      'per_page' => 25,
      'search' => 'john'
  ]);
  ```

  ```python Python theme={null}
  response = api_client.get('/customers', params={
      'per_page': 25,
      'search': 'john'
  })
  ```

  ```javascript JavaScript theme={null}
  const response = await apiClient.get('/customers', {
    params: {
      per_page: 25,
      search: 'john'
    }
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "9d3f4b2a-8c7e-4d1b-9f3a-5e6c7d8a9b0c",
        "name": "John Doe",
        "username": "johndoe",
        "email": "john@example.com",
        "phone": "555-1234",
        "address": "123 Main St, New York, NY 10001",
        "company_name": "Acme Corp",
        "language": "en",
        "timezone": "America/New_York",
        "created_at": "2026-01-15T10:30:00Z"
      }
    ],
    "meta": {
      "current_page": 1,
      "from": 1,
      "last_page": 3,
      "per_page": 25,
      "to": 25,
      "total": 73
    },
    "links": {
      "first": "https://your-subdomain.unicyfalcon.com/api/v1/customers?page=1",
      "last": "https://your-subdomain.unicyfalcon.com/api/v1/customers?page=3",
      "prev": null,
      "next": "https://your-subdomain.unicyfalcon.com/api/v1/customers?page=2"
    }
  }
  ```
</ResponseExample>
